Classes | Defines | Enumerations

# dnd.h File Reference

## Classes
class | wxTextDropTarget
| A predefined drop target for dealing with text data. More...
class | wxDropTarget
| This class represents a target for a drag and drop operation. More...
class | wxDropSource
| This class represents a source for a drag and drop operation. More...
class | wxFileDropTarget
| This is a drop target which accepts files (dragged from File Manager or Explorer). More...
## Defines
#define | wxDROP_ICON(name)
| This macro creates either a cursor (MSW) or an icon (elsewhere) with the given name (of type `const char*`).
## Enumerations
enum | wxDragResult { wxDragError, wxDragNone, wxDragCopy, wxDragMove, wxDragLink, wxDragCancel }
| Result returned from a wxDropSource::DoDragDrop() call. More...

## Enumeration Type Documentation

enum wxDragResult

Result returned from a wxDropSource::DoDragDrop() call.

Enumerator:

  wxDragError | Error prevented the D&D operation from completing.
  wxDragNone | Drag target didn't accept the data.
  wxDragCopy | The data was successfully copied.
  wxDragMove | The data was successfully moved (MSW only).
  wxDragLink | Operation is a drag-link.
  wxDragCancel | The operation was cancelled by user (not an error).

|  | [ top ]